#ifndef __fixmath_h__
#define __fixmath_h__

#include <stdint.h>

extern uint32_t fix_fract(uint32_t inNumerator, uint32_t inDenominator);
extern uint32_t fix_fract_invert(uint32_t inFract);
extern uint32_t fix_fract_usmul(uint32_t inVal, uint32_t inFract);
extern uint32_t fix_fract_smul(int32_t inVal, uint32_t inFract);

extern uint32_t fix_usmul(uint32_t inArg0, uint32_t inArg1, uint32_t inShift);
extern int32_t  fix_smul(int32_t inArg0, int32_t inArg1, uint32_t inShift);

extern uint32_t fix_usdiv(uint32_t inArg0, uint32_t inArg1, uint32_t inShift);
extern int32_t  fix_sdiv(int32_t inArg0, int32_t inArg1, uint32_t inShift);

extern uint32_t fix_ussatadd(uint32_t inArg0, uint32_t inArg1);
extern int32_t  fix_ssatadd(int32_t inArg0, int32_t inArg1);

#endif
